org.apache.cassandra.db

## Interface OnDiskAtom

All Known Subinterfaces:
  Cell, CounterCell, CounterUpdateCell, DeletedCell, ExpiringCell

All Known Implementing Classes:
  AbstractCell, AbstractNativeCell, BufferCell, BufferCounterCell, BufferCounterUpdateCell, BufferDeletedCell, BufferExpiringCell, NativeCell, NativeCounterCell, NativeDeletedCell, NativeExpiringCell, RangeTombstone

    public interface OnDiskAtom

### Nested Class Summary

Nested Classes
`static class` `OnDiskAtom.Serializer`
`static interface` `OnDiskAtom.SerializerForWriting`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLocalDeletionTime()`
`Composite` `name()`
`long` `timestamp()` For a standard column, this is the same as timestamp().
`void` `updateDigest(java.security.MessageDigest digest)`
`void` `validateFields(CFMetaData metadata)`

### Method Detail

#### name

    Composite name()

#### timestamp

    long timestamp()

For a standard column, this is the same as timestamp(). For a super column, this is the min/max column timestamp of the sub columns.

#### getLocalDeletionTime

    int getLocalDeletionTime()

#### validateFields

    void validateFields(CFMetaData metadata)
                 throws MarshalException

Throws:
  `MarshalException`

#### updateDigest

    void updateDigest(java.security.MessageDigest digest)